#-------------------------------------------------
#
# Project created by QtCreator 2013-05-31T12:59:38
#
#-------------------------------------------------

TARGET = wfdisplay
TEMPLATE = lib
QT += core xml svg network

contains(QT_MAJOR_VERSION, 5) {

  QT += widgets

  QT += printsupport

}
INCLUDEPATH += \
        $${PWD} \
        $$[QT_INSTALL_HEADERS]/lppmon/common
#        ./lppmonplot \
#        ./QCustomPlot

LIBS += -llppmoncommon

DEFINES += WFDISPLAY_LIBRARY

SOURCES += wfdisplay.cpp \
    wfplot.cpp \
    wfpage.cpp \
    pagespectra.cpp
#    lppmonplot/lppmonplot.cpp \
#    QCustomPlot/qcustomplot.cpp \


HEADERS += wfdisplay.h\
    wfdisplay_global.h \
    wfplot.h \
    wfpage.h \
    wfdisplay_params.h \
    pagespectra.h
#    lppmonplot/lppmonplot.h \
#    QCustomPlot/qcustomplot.h \


header.path = $$[QT_INSTALL_HEADERS]/lppmon/wfdisplay
header.files = \
    wfdisplay.h \
    wfdisplay_global.h \
    wfpage.h \
    wfplot.h \
    wfdisplay_params.h \
    pagespectra.h

target.path = $$[QT_INSTALL_LIBS]
isEmpty(target.path) {
        target.path = $(QTDIR)/lib
}

INSTALLS += header target
